<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireArticlesCategories
 * A function to import articles categories from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireArticlesCategories()
{
	global $database, $html, $system, $words_acquire;
	$acquire = new acquire;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$articlescategories = $acquire -> articlescategories();
		
		if( $articlescategories )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $articlescategories . " " . $words_acquire[ 'ARTICLES_CATEGORIES' ] . "<br /><br />";
			$articles_categories = $acquire -> articlescategoriesimport();
			$acquire -> dbclose();
			$database -> dbconnect();
			$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_articlescats" );
			
			if( $articles_categories )
			{
				foreach( $articles_categories as $articles_category )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $articles_category[ 'reviewcat_name' ] . "<br />";
					$input_category_website = "0";
					$input_category_id = $database -> dbescape( $articles_category[ 'reviewcat_id' ] );
					$input_category_name = $database -> dbescape( $articles_category[ 'reviewcat_name' ] );
					$input_category_seo = $system -> doseo( $articles_category[ 'reviewcat_name' ] );
					$input_category_description = $database -> dbescape( $articles_category[ 'reviewcat_desc' ] );
					$input_category_postip = $database -> dbescape( $articles_category[ 'reviewcat_postip' ] );
					$input_category_editip = $database -> dbescape( $articles_category[ 'reviewcat_editip' ] );
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_articlescats (articlecat_id, articlecat_website, articlecat_name, articlecat_seo, articlecat_description, articlecat_keywords, articlecat_parents, articlecat_parentcat, articlecat_parentid, articlecat_position, articlecat_permissions, articlecat_postip, articlecat_editip) VALUES ('" . $input_category_id . "', '" . $input_category_website . "', '" . $input_category_name . "', '" . $input_category_seo . "', '" . $input_category_description . "', '', '0', '0', '1', '" . $input_category_id . "', '', '" . $input_category_postip . "', '" . $input_category_editip . "')" );
				}
			}
			
			echo "<br />" . $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			$database -> dbclose();
		}
		
		$database -> dbconnect();
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>