<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireContent
 * A function to import pages from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireContent()
{
	global $database, $html, $system, $security, $words_acquire;
	$acquire = new acquire;
	$input_start = ( isset( $_GET[ 'input_start' ] ) ) ? $security -> checknum( $_GET[ 'input_start' ] ) : 0 ;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$content = $acquire -> content();
		
		if( $content )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $content . " " . $words_acquire[ 'CONTENT_PAGES' ] . "<br /><br />";
			$content_pages = $acquire -> contentpagesimport( $input_start, 20 );
			$acquire -> dbclose();
			$database -> dbconnect();
			
			if( $content_pages )
			{
				if( !$input_start )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_content" );
				}
				
				foreach( $content_pages as $content_page )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $content_page[ 'page_title' ] . "<br />";
					$input_website = "0";
					$input_content_author = ( isset( $content_page[ 'page_author' ] ) ) ? $database -> dbescape( $content_page[ 'page_author' ] ) : "" ;
					$input_content_id = ( isset( $content_page[ 'page_id' ] ) ) ? $database -> dbescape( $content_page[ 'page_id' ] ) : "" ;
					$input_content_title = ( isset( $content_page[ 'page_title' ] ) ) ? $database -> dbescape( $content_page[ 'page_title' ] ) : "" ;
					$input_content_text = ( isset( $content_page[ 'page_text' ] ) ) ? $database -> dbescape( $content_page[ 'page_text' ] ) : "" ;
					$input_html = ( isset( $content_page[ 'page_html' ] ) ) ? $database -> dbescape( $content_page[ 'page_html' ] ) : 0 ;
					$input_smilies = ( isset( $content_page[ 'page_icon' ] ) ) ? $database -> dbescape( $content_page[ 'page_icon' ] ) : 0 ;
					$input_blockcode = ( isset( $content_page[ 'page_code' ] ) ) ? $database -> dbescape( $content_page[ 'page_code' ] ) : 0 ;
					$input_content_postip = ( isset( $content_page[ 'page_postip' ] ) ) ? $database -> dbescape( $content_page[ 'page_postip' ] ) : "" ;
					$input_content_editip = ( isset( $content_page[ 'page_editip' ] ) ) ? $database -> dbescape( $content_page[ 'page_editip' ] ) : "" ;
					$input_content_seo = $system -> doseo( $content_page[ 'page_title' ] );
					$input_content_description = $database -> dbescape( $system -> description( $content_page[ 'page_text' ] ) );
					$input_content_keywords = $system -> keywords( $content_page[ 'page_text' ] );
					$input_content_text_parsed = stripslashes( $input_content_text );
					
					if( !$input_html )
					{
						$input_content_text_parsed = $system -> dechomp( $input_content_text_parsed );
					}
					else
					{
						$input_content_text_parsed = $system -> scriptex( $input_content_text_parsed );
					}
					
					if( $input_smilies )
					{
						$input_content_text_parsed = $system -> smilies( $input_content_text_parsed );
					}
					
					if( $input_blockcode )
					{
						$input_content_text_parsed = $system -> code( $input_content_text_parsed );
					}
					
					$input_content_text_parsed = $database -> dbescape( $input_content_text_parsed );
					$query = $database -> dbquery( "SELECT COUNT(content_id) FROM " . DB_PREFIX . "esselbach_ct_content WHERE content_seo = '" . $input_content_seo . "'" );
					list( $seo_pages ) = $database -> dbrow( $query );
					
					if( $seo_pages )
					{
						$input_content_seo .= "_" . substr( md5( rand( 1, 32768 ) ), 1, 4 );
					}
					
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_content (content_id, content_author, content_website, content_category, content_title, content_seo, content_rawtext, content_text, content_description, content_keywords, content_form, content_html, content_smilies, content_code, content_status, content_password, content_position, content_date, content_frontpage, content_views, content_activity, content_postip, content_editip) VALUES ('" . $input_content_id . "', '" . $input_content_author . "', '" . $input_website . "', '0', '" . $input_content_title . "', '" . $input_content_seo . "', '" . $input_content_text . "', '" . $input_content_text_parsed . "', '" . $input_content_description . "', '" . $input_content_keywords . "', '', '" . $input_html . "', '" . $input_smilies . "', '" . $input_blockcode . "', '0', '', '" . $input_content_id . "', now(), '0', '0', now(), '" . $input_content_postip . "', '" . $input_content_editip . "')" );
				}
				
				$next = $input_start + 20;
				$html -> jump( "index.php?action=acquirecontent&input_start=" . $next, 200 );
				echo "<br />";
				echo "<a href=\"index.php?action=acquirecontent&amp;input_start=" . $next . "\">" . $words_acquire[ 'NEXT' ] . " &gt;&gt;&gt;</a>";
			}
			else
			{
				echo $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			}
		}
		else
		{
			$acquire -> dbclose();
			$database -> dbconnect();
		}
		
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>