<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireFilesCategories
 * A function to import file categories from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireFilesCategories()
{
	global $database, $html, $system, $words_acquire;
	$acquire = new acquire;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$filescategories = $acquire -> filescategories();
		
		if( $filescategories )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $filescategories . " " . $words_acquire[ 'FILES_CATEGORIES' ] . "<br /><br />";
			$files_categories = $acquire -> filescategoriesimport();
			$acquire -> dbclose();
			$database -> dbconnect();
			$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_filescats" );
			
			if( $files_categories )
			{
				foreach( $files_categories as $file_category )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $file_category[ 'downloadscat_name' ] . "<br />";
					$input_category_website = "0";
					$input_category_id = $database -> dbescape( $file_category[ 'downloadscat_id' ] );
					$input_category_name = $database -> dbescape( $file_category[ 'downloadscat_name' ] );
					$input_category_seo = $system -> doseo( $file_category[ 'downloadscat_name' ] );
					$input_category_description = $database -> dbescape( $file_category[ 'downloadscat_desc' ] );
					$input_category_postip = $database -> dbescape( $file_category[ 'downloadscat_postip' ] );
					$input_category_editip = $database -> dbescape( $file_category[ 'downloadscat_editip' ] );
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filescats (filecat_id, filecat_website, filecat_name, filecat_seo, filecat_description, filecat_keywords, filecat_parents, filecat_parentcat, filecat_parentid, filecat_position, filecat_permissions, filecat_postip, filecat_editip) VALUES ('" . $input_category_id . "', '" . $input_category_website . "', '" . $input_category_name . "', '" . $input_category_seo . "', '" . $input_category_description . "', '', '0', '0', '1', '" . $input_category_id . "', '', '" . $input_category_postip . "', '" . $input_category_editip . "')" );
				}
			}
			
			echo "<br />" . $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			$database -> dbclose();
		}
		
		$database -> dbconnect();
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>