<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireFilesComments
 * A function to import file comments from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireFilesComments()
{
	global $database, $html, $system, $security, $uwrapper, $words_acquire;
	$acquire = new acquire;
	$input_start = ( isset( $_GET[ 'input_start' ] ) ) ? $security -> checknum( $_GET[ 'input_start' ] ) : 0 ;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$filescomments = $acquire -> filescomments();
		
		if( $filescomments )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $filescomments . " " . $words_acquire[ 'FILES_COMMENTS' ] . "<br /><br />";
			$files_comments = $acquire -> filescommentsimport( $input_start, 20 );
			$acquire -> dbclose();
			$database -> dbconnect();
			
			if( $files_comments )
			{
				if( !$input_start )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_filescomments" );
				}
				
				foreach( $files_comments as $files_comment )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $files_comment[ 'comment_story' ] . "<br />";
					$input_author = ( isset( $files_comment[ 'comment_author' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_author' ] ) : "" ;
					$input_file_id = ( isset( $files_comment[ 'comment_story' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_story' ] ) : "" ;
					$input_icon = ( isset( $files_comment[ 'comment_icon' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_icon' ] ) : 0 ;
					$input_message = ( isset( $files_comment[ 'comment_text' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_text' ] ) : "" ;
					$input_plonk = ( isset( $files_comment[ 'comment_plonk' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_plonk' ] ) : 0 ;
					$input_signature = ( isset( $files_comment[ 'comment_signature' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_signature' ] ) : 0 ;
					$input_smilies = ( isset( $files_comment[ 'comment_smilies' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_smilies' ] ) : 0 ;
					$input_bcode = ( isset( $files_comment[ 'comment_bcode' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_bcode' ] ) : 0 ;
					$input_date = ( isset( $files_comment[ 'comment_time' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_time' ] ) : "" ;
					$input_postip = ( isset( $files_comment[ 'comment_postip' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_postip' ] ) : 0 ;
					$input_editip = ( isset( $files_comment[ 'comment_editip' ] ) ) ? $database -> dbescape( $files_comment[ 'comment_editip' ] ) : 0 ;
					$input_message_parsed = $system -> convertbreaks( $input_message );
					
					if( !$input_smilies )
					{
						$input_message_parsed = $system -> smilies( $input_message_parsed );
					}
					
					if( !$input_bcode )
					{
						$input_message_parsed = $system -> code( $input_message_parsed );
					}
					
					$input_author_id = $uwrapper -> getuserid( $input_author );
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filescomments (filecomment_id, filecomment_authorid, filecomment_author, filecomment_file, filecomment_icon, filecomment_subject, filecomment_rawtext, filecomment_text, filecomment_plonk, filecomment_signature, filecomment_smilies, filecomment_bcode, filecomment_date, filecomment_edits, filecomment_lasteditauthor, filecomment_lasteditdate, filecomment_postip, filecomment_editip) VALUES (NULL, '" . $input_author_id . "', '" . $input_author . "', '" . $input_file_id . "', '" . $input_icon . "', 'Comment', '" . $input_message . "', '" . $input_message_parsed . "', '" . $input_plonk . "', '" . $input_signature . "', '" . $input_smilies . "', '" . $input_bcode . "', '" . $input_date . "', '0', '" . $input_author . "', '" . $input_date . "', '" . $input_postip . "', '" . $input_editip . "')" );
				}
				
				$next = $input_start + 20;
				$html -> jump( "index.php?action=acquirefilescomments&input_start=" . $next, 200 );
				echo "<br />";
				echo "<a href=\"index.php?action=acquirefilescomments&amp;input_start=" . $next . "\">" . $words_acquire[ 'NEXT' ] . " &gt;&gt;&gt;</a>";
			}
			else
			{
				echo $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			}
		}
		else
		{
			$acquire -> dbclose();
			$database -> dbconnect();
		}
		
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>