<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireKnowledgebaseCategories
 * A function to import knowledgebase/FAQ categories from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireKnowledgebaseCategories()
{
	global $database, $html, $system, $words_acquire;
	$acquire = new acquire;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$knowledgebasecategories = $acquire -> knowledgebasecategories();
		
		if( $knowledgebasecategories )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $knowledgebasecategories . " " . $words_acquire[ 'KNOWLEDGEBASE_CATEGORIES' ] . "<br /><br />";
			$knowledgebase_categories = $acquire -> knowledgebasecategoriesimport();
			$acquire -> dbclose();
			$database -> dbconnect();
			$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats" );
			
			if( $knowledgebase_categories )
			{
				foreach( $knowledgebase_categories as $knowledgebase_category )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $knowledgebase_category[ 'faqcat_name' ] . "<br />";
					$input_category_website = "0";
					$input_category_id = $database -> dbescape( $knowledgebase_category[ 'faqcat_id' ] );
					$input_category_name = $database -> dbescape( $knowledgebase_category[ 'faqcat_name' ] );
					$input_category_seo = $system -> doseo( $knowledgebase_category[ 'faqcat_name' ] );
					$input_category_description = $database -> dbescape( $knowledgebase_category[ 'faqcat_desc' ] );
					$input_category_postip = $database -> dbescape( $knowledgebase_category[ 'faqcat_postip' ] );
					$input_category_editip = $database -> dbescape( $knowledgebase_category[ 'faqcat_editip' ] );
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebasecats (knowledgebasecat_id, knowledgebasecat_website, knowledgebasecat_name, knowledgebasecat_seo, knowledgebasecat_description, knowledgebasecat_keywords, knowledgebasecat_parents, knowledgebasecat_parentcat, knowledgebasecat_parentid, knowledgebasecat_position, knowledgebasecat_permissions, knowledgebasecat_postip, knowledgebasecat_editip) VALUES ('" . $input_category_id . "', '" . $input_category_website . "', '" . $input_category_name . "', '" . $input_category_seo . "', '" . $input_category_description . "', '', '0', '0', '1', '" . $input_category_id . "', '', '" . $input_category_postip . "', '" . $input_category_editip . "')" );
				}
			}
			
			echo "<br />" . $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			$database -> dbclose();
		}
		
		$database -> dbconnect();
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>