<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireKnowledgebaseEntries
 * A function to import knowledgebase/FAQ entries from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireKnowledgebaseEntries()
{
	global $database, $preferences, $html, $system, $security, $login_username, $words_acquire;
	$acquire = new acquire;
	$input_start = ( isset( $_GET[ 'input_start' ] ) ) ? $security -> checknum( $_GET[ 'input_start' ] ) : 0 ;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$knowledgebaseentries = $acquire -> knowledgebaseentries();
		
		if( $knowledgebaseentries )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $knowledgebaseentries . " " . $words_acquire[ 'KNOWLEDGEBASE_ENTRIES' ] . "<br /><br />";
			$knowledgebase_entries = $acquire -> knowledgebaseimport( $input_start, 20 );
			$acquire -> dbclose();
			$database -> dbconnect();
			
			if( $knowledgebase_entries )
			{
				if( !$input_start )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_knowledgebase" );
				}
				
				foreach( $knowledgebase_entries as $knowledgebase_entry )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $knowledgebase_entry[ 'faq_question' ] . "<br />";
					$input_website = "0";
					$input_knowledgebase_author = ( isset( $knowledgebase_entry[ 'faq_author' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_author' ] ) : "" ;
					$input_knowledgebase_id = ( isset( $knowledgebase_entry[ 'faq_id' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_id' ] ) : "" ;
					$input_category = ( isset( $knowledgebase_entry[ 'faq_category' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_category' ] ) : "" ;
					$input_knowledgebase_question = ( isset( $knowledgebase_entry[ 'faq_question' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_question' ] ) : "" ;
					$input_knowledgebase_answer = ( isset( $knowledgebase_entry[ 'faq_answer_text' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_answer_text' ] ) : "" ;
					$input_html = ( isset( $knowledgebase_entry[ 'faq_html' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_html' ] ) : 0 ;
					$input_smilies = ( isset( $knowledgebase_entry[ 'faq_icon' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_icon' ] ) : 0 ;
					$input_blockcode = ( isset( $knowledgebase_entry[ 'faq_code' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_code' ] ) : 0 ;
					$input_faq_extra1 = ( isset( $knowledgebase_entry[ 'faq_extra1' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra1' ] ) : "" ;
					$input_faq_extra2 = ( isset( $knowledgebase_entry[ 'faq_extra2' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra2' ] ) : "" ;
					$input_faq_extra3 = ( isset( $knowledgebase_entry[ 'faq_extra3' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra3' ] ) : "" ;
					$input_faq_extra4 = ( isset( $knowledgebase_entry[ 'faq_extra4' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra4' ] ) : "" ;
					$input_faq_extra5 = ( isset( $knowledgebase_entry[ 'faq_extra5' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra5' ] ) : "" ;
					$input_faq_extra6 = ( isset( $knowledgebase_entry[ 'faq_extra6' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra6' ] ) : "" ;
					$input_faq_extra7 = ( isset( $knowledgebase_entry[ 'faq_extra7' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra7' ] ) : "" ;
					$input_faq_extra8 = ( isset( $knowledgebase_entry[ 'faq_extra8' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra8' ] ) : "" ;
					$input_faq_extra9 = ( isset( $knowledgebase_entry[ 'faq_extra9' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra9' ] ) : "" ;
					$input_faq_extra10 = ( isset( $knowledgebase_entry[ 'faq_extra10' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra10' ] ) : "" ;
					$input_faq_extra11 = ( isset( $knowledgebase_entry[ 'faq_extra11' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra11' ] ) : "" ;
					$input_faq_extra12 = ( isset( $knowledgebase_entry[ 'faq_extra12' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra12' ] ) : "" ;
					$input_faq_extra13 = ( isset( $knowledgebase_entry[ 'faq_extra13' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra13' ] ) : "" ;
					$input_faq_extra14 = ( isset( $knowledgebase_entry[ 'faq_extra14' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra14' ] ) : "" ;
					$input_faq_extra15 = ( isset( $knowledgebase_entry[ 'faq_extra15' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra15' ] ) : "" ;
					$input_faq_extra16 = ( isset( $knowledgebase_entry[ 'faq_extra16' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra16' ] ) : "" ;
					$input_faq_extra17 = ( isset( $knowledgebase_entry[ 'faq_extra17' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra17' ] ) : "" ;
					$input_faq_extra18 = ( isset( $knowledgebase_entry[ 'faq_extra18' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra18' ] ) : "" ;
					$input_faq_extra19 = ( isset( $knowledgebase_entry[ 'faq_extra19' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra19' ] ) : "" ;
					$input_faq_extra20 = ( isset( $knowledgebase_entry[ 'faq_extra20' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_extra20' ] ) : "" ;
					$input_knowledgebase_postip = ( isset( $knowledgebase_entry[ 'faq_postip' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_postip' ] ) : "" ;
					$input_knowledgebase_editip = ( isset( $knowledgebase_entry[ 'faq_editip' ] ) ) ? $database -> dbescape( $knowledgebase_entry[ 'faq_editip' ] ) : "" ;
					$input_status = "0";
					$input_knowledgebase_seo = $system -> doseo( $knowledgebase_entry[ 'faq_question' ] );
					$input_knowledgebase_description = $database -> dbescape( $system -> description( $knowledgebase_entry[ 'faq_answer_text' ] ) );
					$input_knowledgebase_keywords = $system -> keywords( $knowledgebase_entry[ 'faq_answer_text' ] );
					$input_knowledgebase_answer_parsed = stripslashes( $input_knowledgebase_answer );
					
					if( !$input_html )
					{
						$input_knowledgebase_answer_parsed = $system -> dechomp( $input_knowledgebase_answer_parsed );
					}
					else
					{
						$input_knowledgebase_answer_parsed = $system -> scriptex( $input_knowledgebase_answer_parsed );
					}
					
					if( $input_smilies )
					{
						$input_knowledgebase_answer_parsed = $system -> smilies( $input_knowledgebase_answer_parsed );
					}
					
					if( $input_blockcode )
					{
						$input_knowledgebase_answer_parsed = $system -> code( $input_knowledgebase_answer_parsed );
					}
					
					$input_knowledgebase_answer_parsed = $database -> dbescape( $input_knowledgebase_answer_parsed );
					$input_fields_encoded = base64_encode( stripslashes( $input_faq_extra1 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra2 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra3 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra4 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra5 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra6 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra7 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra8 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra9 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra10 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra11 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra12 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra13 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra14 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra15 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra16 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra17 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra18 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra19 ) ) . "|" . base64_encode( stripslashes( $input_faq_extra20 ) ) . "|||||";
					$query = $database -> dbquery( "SELECT COUNT(knowledgebase_id) FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_seo = '" . $input_knowledgebase_seo . "'" );
					list( $seo_entries ) = $database -> dbrow( $query );
					
					if( $seo_entries )
					{
						$input_knowledgebase_seo .= "_" . substr( md5( rand( 1, 32768 ) ), 1, 4 );
					}
					
					if( $preferences[ 'knowledgebase_automated_tags' ] )
					{
						$input_knowledgebase_tags = $system -> tags( $input_knowledgebase_question );
					}
					else
					{
						$input_knowledgebase_tags = "";
					}
					
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebase (knowledgebase_id, knowledgebase_author, knowledgebase_website, knowledgebase_category, knowledgebase_question, knowledgebase_seo, knowledgebase_rawanswer, knowledgebase_answer, knowledgebase_description, knowledgebase_keywords, knowledgebase_tags, knowledgebase_comments, knowledgebase_allowcomments, knowledgebase_thread, knowledgebase_html, knowledgebase_smilies, knowledgebase_code, knowledgebase_status, knowledgebase_password, knowledgebase_date, knowledgebase_fields, knowledgebase_views, knowledgebase_rating, knowledgebase_votes, knowledgebase_activity, knowledgebase_postip, knowledgebase_editip, knowledgebase_editadmin) VALUES ('" . $input_knowledgebase_id . "', '" . $input_knowledgebase_author . "', '" . $input_website . "', '" . $input_category . "', '" . $input_knowledgebase_question . "', '" . $input_knowledgebase_seo . "', '" . $input_knowledgebase_answer . "', '" . $input_knowledgebase_answer_parsed . "', '" . $input_knowledgebase_description . "', '" . $input_knowledgebase_keywords . "', '" . $input_knowledgebase_tags . "', '0', '1', '0', '" . $input_html . "', '" . $input_smilies . "', '" . $input_blockcode . "', '" . $input_status . "', '', now(), '" . $input_fields_encoded . "', '0', '0', '0', now(), '" . $input_knowledgebase_postip . "', '" . $input_knowledgebase_editip . "', '" . $login_username . "')" );
					
					if( $input_knowledgebase_tags )
					{
						$tags = explode( ",", $input_knowledgebase_tags );
						
						foreach( $tags as $tag )
						{
							$tag_seo = $system -> doseo( $tag );
							$query = $database -> dbquery( "SELECT knowledgebasetag_id FROM " . DB_PREFIX . "esselbach_ct_knowledgebasetags WHERE knowledgebasetag_tag = '" . $tag . "' AND (knowledgebasetag_website = '0' AND knowledgebasetag_website = '" . $input_website . "')" );
							
							if( $database -> dbrows( $query ) )
							{
								$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebasetags SET knowledgebasetag_count = knowledgebasetag_count + 1 WHERE knowledgebasetag_tag = '" . $tag . "' AND (knowledgebasetag_website = '0' AND knowledgebasetag_website = '" . $input_website . "')" );
							}
							else
							{
								$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebasetags (knowledgebasetag_id, knowledgebasetag_website, knowledgebasetag_tag, knowledgebasetag_seo, knowledgebasetag_count) VALUES (NULL, '" . $input_website . "', '" . $tag . "', '" . $tag_seo . "', '1')" );
							}
						}
					}
				}
				
				$next = $input_start + 20;
				$html -> jump( "index.php?action=acquireknowledgebaseentries&input_start=" . $next, 200 );
				echo "<br />";
				echo "<a href=\"index.php?action=acquireknowledgebaseentries&amp;input_start=" . $next . "\">" . $words_acquire[ 'NEXT' ] . " &gt;&gt;&gt;</a>";
			}
			else
			{
				echo $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			}
		}
		else
		{
			$acquire -> dbclose();
			$database -> dbconnect();
		}
		
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>