<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireNewsStories
 * A function to import news stories from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireNewsStories()
{
	global $database, $preferences, $html, $system, $security, $ipaddr, $login_username, $words_acquire;
	$acquire = new acquire;
	$input_start = ( isset( $_GET[ 'input_start' ] ) ) ? $security -> checknum( $_GET[ 'input_start' ] ) : 0 ;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$newsstories = $acquire -> newsstories();
		
		if( $newsstories )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $newsstories . " " . $words_acquire[ 'NEWS_STORIES' ] . "<br /><br />";
			$news_stories = $acquire -> newsstoriesimport( $input_start, 20 );
			$acquire -> dbclose();
			$database -> dbconnect();
			
			if( $news_stories )
			{
				if( !$input_start )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_newsstories" );
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_newstags" );
				}
				
				foreach( $news_stories as $news_story )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $news_story[ 'story_title' ] . "<br />";
					$input_website = "0";
					$input_newsstory_author = ( isset( $news_story[ 'story_author' ] ) ) ? $database -> dbescape( $news_story[ 'story_author' ] ) : "" ;
					$input_newsstory_id = ( isset( $news_story[ 'story_id' ] ) ) ? $database -> dbescape( $news_story[ 'story_id' ] ) : "" ;
					$input_channels_list = ( isset( $news_story[ 'story_category' ] ) ) ? substr( md5( $news_story[ 'story_category' ] . "ct45678912" ), 1, 8 ) : "" ;
					$input_newsstory_title = ( isset( $news_story[ 'story_title' ] ) ) ? $database -> dbescape( $news_story[ 'story_title' ] ) : "" ;
					$input_newsstory_story = ( isset( $news_story[ 'story_text' ] ) ) ? $database -> dbescape( $news_story[ 'story_text' ] ) : "" ;
					$input_newsstory_extendedstory = ( isset( $news_story[ 'story_extendedtext' ] ) ) ? $database -> dbescape( $news_story[ 'story_extendedtext' ] ) : "" ;
					$input_comments = ( isset( $news_story[ 'story_comments' ] ) ) ? $database -> dbescape( $news_story[ 'story_comments' ] ) : 0 ;
					$input_startdate = ( isset( $news_story[ 'story_time' ] ) ) ? $database -> dbescape( $news_story[ 'story_time' ] ) : "" ;
					$input_html = ( isset( $news_story[ 'story_html' ] ) ) ? $database -> dbescape( $news_story[ 'story_html' ] ) : 0 ;
					$input_smilies = ( isset( $news_story[ 'story_icon' ] ) ) ? $database -> dbescape( $news_story[ 'story_icon' ] ) : 0 ;
					$input_blockcode = ( isset( $news_story[ 'story_code' ] ) ) ? $database -> dbescape( $news_story[ 'story_code' ] ) : 0 ;
					$input_frontpage = ( isset( $news_story[ 'story_main' ] ) ) ? $database -> dbescape( $news_story[ 'story_main' ] ) : 0 ;
					$input_top = ( isset( $news_story[ 'story_sticky' ] ) ) ? $database -> dbescape( $news_story[ 'story_sticky' ] ) : 0 ;
					$input_newsstory_source = ( isset( $news_story[ 'story_source' ] ) ) ? $database -> dbescape( $news_story[ 'story_source' ] ) : "" ;
					$input_allow_comments = ( isset( $news_story[ 'story_comm' ] ) ) ? $database -> dbescape( $news_story[ 'story_comm' ] ) : "" ;
					$input_story_extra1 = ( isset( $news_story[ 'story_extra1' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra1' ] ) : "" ;
					$input_story_extra2 = ( isset( $news_story[ 'story_extra2' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra2' ] ) : "" ;
					$input_story_extra3 = ( isset( $news_story[ 'story_extra3' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra3' ] ) : "" ;
					$input_story_extra4 = ( isset( $news_story[ 'story_extra4' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra4' ] ) : "" ;
					$input_story_extra5 = ( isset( $news_story[ 'story_extra5' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra5' ] ) : "" ;
					$input_story_extra6 = ( isset( $news_story[ 'story_extra6' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra6' ] ) : "" ;
					$input_story_extra7 = ( isset( $news_story[ 'story_extra7' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra7' ] ) : "" ;
					$input_story_extra8 = ( isset( $news_story[ 'story_extra8' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra8' ] ) : "" ;
					$input_story_extra9 = ( isset( $news_story[ 'story_extra9' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra9' ] ) : "" ;
					$input_story_extra10 = ( isset( $news_story[ 'story_extra10' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra10' ] ) : "" ;
					$input_story_extra11 = ( isset( $news_story[ 'story_extra11' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra11' ] ) : "" ;
					$input_story_extra12 = ( isset( $news_story[ 'story_extra12' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra12' ] ) : "" ;
					$input_story_extra13 = ( isset( $news_story[ 'story_extra13' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra13' ] ) : "" ;
					$input_story_extra14 = ( isset( $news_story[ 'story_extra14' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra14' ] ) : "" ;
					$input_story_extra15 = ( isset( $news_story[ 'story_extra15' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra15' ] ) : "" ;
					$input_story_extra16 = ( isset( $news_story[ 'story_extra16' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra16' ] ) : "" ;
					$input_story_extra17 = ( isset( $news_story[ 'story_extra17' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra17' ] ) : "" ;
					$input_story_extra18 = ( isset( $news_story[ 'story_extra18' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra18' ] ) : "" ;
					$input_story_extra19 = ( isset( $news_story[ 'story_extra19' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra19' ] ) : "" ;
					$input_story_extra20 = ( isset( $news_story[ 'story_extra20' ] ) ) ? $database -> dbescape( $news_story[ 'story_extra20' ] ) : "" ;
					$input_newsstory_postip = ( isset( $news_story[ 'story_postip' ] ) ) ? $database -> dbescape( $news_story[ 'story_postip' ] ) : "" ;
					$input_status = "0";
					$input_newsstory_seo = $system -> doseo( $news_story[ 'story_title' ] );
					$input_newsstory_description = $database -> dbescape( $system -> description( $news_story[ 'story_text' ] ) );
					$input_newsstory_keywords = $system -> keywords( $news_story[ 'story_text' ] );
					$input_newsstory_story_parsed = stripslashes( $input_newsstory_story );
					$input_newsstory_extendedstory_parsed = stripslashes( $input_newsstory_extendedstory );
					
					if( !$input_html )
					{
						$input_newsstory_story_parsed = $system -> dechomp( $input_newsstory_story_parsed );
						$input_newsstory_extendedstory_parsed = $system -> dechomp( $input_newsstory_extendedstory_parsed );
					}
					else
					{
						$input_newsstory_story_parsed = $system -> scriptex( $input_newsstory_story_parsed );
						$input_newsstory_extendedstory_parsed = $system -> scriptex( $input_newsstory_extendedstory_parsed );
					}
					
					if( $input_smilies )
					{
						$input_newsstory_story_parsed = $system -> smilies( $input_newsstory_story_parsed );
						$input_newsstory_extendedstory_parsed = $system -> smilies( $input_newsstory_extendedstory_parsed );
					}
					
					if( $input_blockcode )
					{
						$input_newsstory_story_parsed = $system -> code( $input_newsstory_story_parsed );
						$input_newsstory_extendedstory_parsed = $system -> code( $input_newsstory_extendedstory_parsed );
					}
					
					$input_newsstory_story_parsed = $database -> dbescape( $input_newsstory_story_parsed );
					$input_newsstory_extendedstory_parsed = $database -> dbescape( $input_newsstory_extendedstory_parsed );
					$input_fields_encoded = base64_encode( stripslashes( $input_story_extra1 ) ) . "|" . base64_encode( stripslashes( $input_story_extra2 ) ) . "|" . base64_encode( stripslashes( $input_story_extra3 ) ) . "|" . base64_encode( stripslashes( $input_story_extra4 ) ) . "|" . base64_encode( stripslashes( $input_story_extra5 ) ) . "|" . base64_encode( stripslashes( $input_story_extra6 ) ) . "|" . base64_encode( stripslashes( $input_story_extra7 ) ) . "|" . base64_encode( stripslashes( $input_story_extra8 ) ) . "|" . base64_encode( stripslashes( $input_story_extra9 ) ) . "|" . base64_encode( stripslashes( $input_story_extra10 ) ) . "|" . base64_encode( stripslashes( $input_story_extra11 ) ) . "|" . base64_encode( stripslashes( $input_story_extra12 ) ) . "|" . base64_encode( stripslashes( $input_story_extra13 ) ) . "|" . base64_encode( stripslashes( $input_story_extra14 ) ) . "|" . base64_encode( stripslashes( $input_story_extra15 ) ) . "|" . base64_encode( stripslashes( $input_story_extra16 ) ) . "|" . base64_encode( stripslashes( $input_story_extra17 ) ) . "|" . base64_encode( stripslashes( $input_story_extra18 ) ) . "|" . base64_encode( stripslashes( $input_story_extra19 ) ) . "|" . base64_encode( stripslashes( $input_story_extra20 ) ) . "|||||";
					$query = $database -> dbquery( "SELECT COUNT(newsstory_id) FROM " . DB_PREFIX . "esselbach_ct_newsstories WHERE newsstory_seo = '" . $input_newsstory_seo . "'" );
					list( $seo_stories ) = $database -> dbrow( $query );
					
					if( $seo_stories )
					{
						$input_newsstory_seo .= "_" . substr( md5( rand( 1, 32768 ) ), 1, 4 );
					}
					
					if( $preferences[ 'news_automated_tags' ] )
					{
						$input_newsstory_tags = $system -> tags( $input_newsstory_title );
					}
					else
					{
						$input_newsstory_tags = "";
					}
					
					$input_teaser = (isset( $news_story[ 'story_teaser' ] ) ) ? $database -> dbescape( $news_story[ 'story_teaser'] ) : "" ;
					$tmp_name = "../../images/teaser/" . $preferences['acquire_teaser_dir'];
                    if (file_exists( $tmp_name ) and $input_teaser)                                                                                                                                                    
                    {                                                                                                                             
                    	$file = @fopen($tmp_name, "r");                                                                                              
                        $binary = fread($file, filesize($tmp_name));
                        if (preg_match("/gif/i",$tmp_name)) $file_type = "image/gif";
                        if (preg_match("/jpg|jpeg/i",$tmp_name)) $file_type = "image/jpeg";
                        if (preg_match("/png/i",$tmp_name)) $file_type = "image/png";
                        $teaserwidth = $preferences[ 'news_image_teaserwidth' ];
                        $teaser_image = $system -> resizeimage( $binary, $file_type, $teaserwidth, "", "");
                        $teaser_size = strlen( $teaser_image );
                        $teaser_image = $database -> dbescape($teaser_image);
                        fclose($file);
                        $input_teaser = str_replace("/","_",$input_teaser);
                        $database -> dbquery("INSERT INTO ".DB_PREFIX."esselbach_ct_newsteaserimages (newsteaserimage_id, newsteaserimage_author, newsteaserimage_filename, newsteaserimage_mime, newsteaserimage_size, newsteaserimage_binary, newsteaserimage_default, newsteaserimage_story, newsteaserimage_ip) VALUES (NULL, '".$input_newsstory_author."', '".$input_teaser."', '".$file_type."', '".$teaser_size."', '".$teaser_image."', '0', '".$input_newsstory_id."', '".$ipaddr."')");
                        $input_this_teaser = $database -> dblastinsert();
                    }
                    else                                                                                                                                                                                             
                    {
                        $input_this_teaser = 0;
                    }    					
					
					$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_newsstories (newsstory_id, newsstory_author, newsstory_website, newsstory_channels, newsstory_title, newsstory_seo, newsstory_rawstory, newsstory_story, newsstory_rawextendedstory, newsstory_extendedstory, newsstory_description, newsstory_keywords, newsstory_tags, newsstory_teaser, newsstory_comments, newsstory_allowcomments, newsstory_thread, newsstory_frontpage, newsstory_html, newsstory_smilies, newsstory_code, newsstory_status, newsstory_password, newsstory_date, newsstory_startdate, newsstory_expiredate, newsstory_neverexpire, newsstory_poll, newsstory_pollresults, newsstory_fields, newsstory_sticky, newsstory_views, newsstory_rating, newsstory_votes, newsstory_source, newsstory_sourceid, newsstory_activity, newsstory_postip, newsstory_editip, newsstory_editadmin) VALUES (" . $input_newsstory_id . ", '" . $input_newsstory_author . "', '" . $input_website . "', '" . $input_channels_list . "', '" . $input_newsstory_title . "', '" . $input_newsstory_seo . "', '" . $input_newsstory_story . "', '" . $input_newsstory_story_parsed . "', '" . $input_newsstory_extendedstory . "', '" . $input_newsstory_extendedstory_parsed . "', '" . $input_newsstory_description . "', '" . $input_newsstory_keywords . "', '" . $input_newsstory_tags . "', '" . $input_this_teaser . "', '" . $input_comments . "', '" . $input_allow_comments . "', '0', '" . $input_frontpage . "', '" . $input_html . "', '" . $input_smilies . "', '" . $input_blockcode . "', '" . $input_status . "', '', '" . $input_startdate . "', '" . $input_startdate . "', '" . $input_startdate . "', '1', '', '', '" . $input_fields_encoded . "', '" . $input_top . "', '0', '0', '0', '" . $input_newsstory_source . "', '0', now(), '" . $input_newsstory_postip . "', '" . $ipaddr . "', '" . $login_username . "')" );
					
					if( $preferences[ 'news_related' ] )
					{
						$news_search = substr( $input_newsstory_title, 0, 8 );
						$news_limit = $database -> dbescape( $preferences[ 'news_max_related' ] );
						
						if( !$news_limit )
						{
							$news_limit = 1;
						}
						else
						{
							$news_limit++;
						}
						
						$query = $database -> dbquery( "SELECT newsstory_id, newsstory_author, newsstory_title, newsstory_seo, newsstory_description, newsstory_date FROM " . DB_PREFIX . "esselbach_ct_newsstories WHERE (newsstory_title LIKE '%" . $news_search . "%') AND newsstory_status = '0' ORDER BY newsstory_date DESC LIMIT " . intval( $news_limit ) );
						
						if( $database -> dbrows( $query ) > 1 )
						{
							while( list( $newsrelated_storyid, $newsrelated_author, $newsrelated_title, $newsrelated_seo, $newsrelated_description, $newsrelated_date ) = $database -> dbrow( $query ) )
							{
								$newsrelated_author = $database -> dbescape( $newsrelated_author );
								$newsrelated_title = $database -> dbescape( $newsrelated_title );
								$newsrelated_description = $database -> dbescape( $newsrelated_description );
								
								if( $newsrelated_storyid != $input_newsstory_id )
								{
									$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_newsrelated (newsrelated_id, newsrelated_story, newsrelated_storyid, newsrelated_author, newsrelated_website, newsrelated_title, newsrelated_seo, newsrelated_description, newsrelated_date) VALUES (NULL, '" . $input_newsstory_id . "', '" . $newsrelated_storyid . "', '" . $newsrelated_author . "', '" . $input_website . "', '" . $newsrelated_title . "', '" . $newsrelated_seo . "', '" . $newsrelated_description . "', '" . $newsrelated_date . "')" );
								}
							}
						}
					}
					
					if( $input_newsstory_tags )
					{
						$tags = explode( ",", $input_newsstory_tags );
						
						foreach( $tags as $tag )
						{
							$tag_seo = $system -> doseo( $tag );
							$query = $database -> dbquery( "SELECT newstag_id FROM " . DB_PREFIX . "esselbach_ct_newstags WHERE newstag_seo = '" . $tag_seo . "' AND (newstag_website = '0' AND newstag_website = '" . $input_website . "')" );
							
							if( $database -> dbrows( $query ) )
							{
								$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_newstags SET newstag_count = newstag_count + 1 WHERE newstag_tag = '" . $tag . "' AND (newstag_website = '0' AND newstag_website = '" . $input_website . "')" );
							}
							else
							{
								$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_newstags (newstag_id, newstag_website, newstag_tag, newstag_seo, newstag_count) VALUES (NULL, '" . $input_website . "', '" . $tag . "', '" . $tag_seo . "', '1')" );
							}
						}
					}
				}
				
				$next = $input_start + 20;
				$html -> jump( "index.php?action=acquirenewsstories&input_start=" . $next, 200 );
				echo "<br />";
				echo "<a href=\"index.php?action=acquirenewsstories&amp;input_start=" . $next . "\">" . $words_acquire[ 'NEXT' ] . " &gt;&gt;&gt;</a>";
			}
			else
			{
				echo $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			}
		}
		else
		{
			$acquire -> dbclose();
			$database -> dbconnect();
		}
		
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>