<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireNow
 * A function to show a list of possible items to import from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireNow()
{
	global $database, $html, $words_acquire;
	$acquire = new acquire;
	$html -> makeheader( $words_acquire[ 'ACQUIRE_NOW' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE_NOW' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$users = $acquire -> users();
		
		if( $users )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $users . " " . $words_acquire[ 'USER_ACCOUNTS' ] . "<br />";
			echo "<a href=\"index.php?action=acquireusers\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'USER_ACCOUNTS' ] . "<br /><br />";
		}
		
		$content = $acquire -> content();
		
		if( $content )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $content . " " . $words_acquire[ 'CONTENT_PAGES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirecontent\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'CONTENT_PAGES' ] . "<br /><br />";
		}
		
		$newscategories = $acquire -> newscategories();
		
		if( $newscategories )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $newscategories . " " . $words_acquire[ 'NEWS_CATEGORIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirenewscategories\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'NEWS_CATEGORIES' ] . "<br /><br />";
		}
		
		$newsstories = $acquire -> newsstories();
		
		if( $newsstories )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $newsstories . " " . $words_acquire[ 'NEWS_STORIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirenewsstories\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'NEWS_STORIES' ] . "<br /><br />";
		}
		
		$newscomments = $acquire -> newscomments();
		
		if( $newscomments )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $newscomments . " " . $words_acquire[ 'NEWS_COMMENTS' ] . "<br />";
			echo "<a href=\"index.php?action=acquirenewscomments\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'NEWS_COMMENTS' ] . "<br /><br />";
		}
		
		$articlescategories = $acquire -> articlescategories();
		
		if( $articlescategories )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $articlescategories . " " . $words_acquire[ 'ARTICLES_CATEGORIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirearticlescategories\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'ARTICLES_CATEGORIES' ] . "<br /><br />";
		}
		
		$articles = $acquire -> articles();
		
		if( $articles )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $articles . " " . $words_acquire[ 'ARTICLES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirearticles\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'ARTICLES' ] . "<br /><br />";
		}
		
		$knowledgebasecategories = $acquire -> knowledgebasecategories();
		
		if( $knowledgebasecategories )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $knowledgebasecategories . " " . $words_acquire[ 'KNOWLEDGEBASE_CATEGORIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquireknowledgebasecategories\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'KNOWLEDGEBASE_CATEGORIES' ] . "<br /><br />";
		}
		
		$knowledgebaseentries = $acquire -> knowledgebaseentries();
		
		if( $knowledgebaseentries )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $knowledgebaseentries . " " . $words_acquire[ 'KNOWLEDGEBASE_ENTRIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquireknowledgebaseentries\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'KNOWLEDGEBASE_ENTRIES' ] . "<br /><br />";
		}
		
		$filescategories = $acquire -> filescategories();
		
		if( $filescategories )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $filescategories . " " . $words_acquire[ 'FILES_CATEGORIES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirefilescategories\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'FILES_CATEGORIES' ] . "<br /><br />";
		}
		
		$files = $acquire -> files();
		
		if( $files )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $files . " " . $words_acquire[ 'FILES' ] . "<br />";
			echo "<a href=\"index.php?action=acquirefiles\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'FILES' ] . "<br /><br />";
		}
		
		$filescomments = $acquire -> filescomments();
		
		if( $filescomments )
		{
			echo $words_acquire[ 'FOUND' ] . " " . $filescomments . " " . $words_acquire[ 'FILES_COMMENTS' ] . "<br />";
			echo "<a href=\"index.php?action=acquirefilescomments\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'TO_IMPORT' ] . " " . $words_acquire[ 'THE' ] . " " . $words_acquire[ 'FILES_COMMENTS' ] . "<br /><br />";
		}
		
		$acquire -> dbclose();
	}
	
	$database -> dbconnect();
	$html -> maketablefooter();
	$html -> makesubfooter();
	$html -> makesubfooter();
}
?>