<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminAcquireUsers
 * A function to import user accounts from other CMS databases
 * @author Philipp Louis Esselbach
 */
function AdminAcquireUsers()
{
	global $database, $html, $system, $security, $login_username, $ipaddr, $words_acquire;
	$acquire = new acquire;
	$input_start = ( isset( $_GET[ 'input_start' ] ) ) ? $security -> checknum( $_GET[ 'input_start' ] ) : 0 ;
	$html -> makeheader( $words_acquire[ 'ACQUIRE' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "acquire" );
	$html -> makemainheader( $words_acquire[ 'ACQUIRE' ], "acquire" );
	$database -> dbclose();
	$error = $acquire -> dbconnect();
	
	if( $error )
	{
		echo $error;
	}
	else
	{
		$users = $acquire -> users();
		
		if( $users )
		{
			echo $words_acquire[ 'IMPORTING' ] . " " . $users . " " . $words_acquire[ 'USER_ACCOUNTS' ] . "<br /><br />";
			$user_accounts = $acquire -> usersimport( $input_start, 20 );
			$acquire -> dbclose();
			$database -> dbconnect();
			
			if( $user_accounts )
			{
				if( !$input_start )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_users WHERE NOT(user_name = '" . $database -> dbescape( $login_username ) . "')" );
				}
				
				
				foreach( $user_accounts as $user_account )
				{
					echo $words_acquire[ 'IMPORTING' ] . " " . $user_account[ 'user_name' ] . "<br />";
					$input_user_name = ( isset( $user_account[ 'user_name' ] ) ) ? $database -> dbescape( $user_account[ 'user_name' ] ) : "" ;
					$input_user_loginname = ( isset( $user_account[ 'user_loginname' ] ) ) ? $database -> dbescape( $user_account[ 'user_loginname' ] ) : "" ;
					$input_password_hashed = ( isset( $user_account[ 'user_password' ] ) ) ? $database -> dbescape( $user_account[ 'user_password' ] ) : "" ;
					$input_regtime = ( isset( $user_account[ 'user_regtime' ] ) ) ? $database -> dbescape( $user_account[ 'user_regtime' ] ) : "" ;
					$input_posts = ( isset( $user_account[ 'user_posts' ] ) ) ? $database -> dbescape( $user_account[ 'user_posts' ] ) : "" ;
					$input_birthday = ( isset( $user_account[ 'user_birthday' ] ) ) ? $database -> dbescape( $user_account[ 'user_birthday' ] ) : "" ;
					$input_homepage = ( isset( $user_account[ 'user_homepage' ] ) ) ? $database -> dbescape( $user_account[ 'user_homepage' ] ) : "" ;
					$input_email = ( isset( $user_account[ 'user_email' ] ) ) ? $database -> dbescape( $user_account[ 'user_email' ] ) : 0 ;
					$input_regemail = ( isset( $user_account[ 'user_regemail' ] ) ) ? $database -> dbescape( $user_account[ 'user_regemail' ] ) : "" ;
					$input_icq = ( isset( $user_account[ 'user_icq' ] ) ) ? $database -> dbescape( $user_account[ 'user_icq' ] ) : 0 ;
					$input_aim = ( isset( $user_account[ 'user_aim' ] ) ) ? $database -> dbescape( $user_account[ 'user_aim' ] ) : 0 ;
					$input_yahoo = ( isset( $user_account[ 'user_yam' ] ) ) ? $database -> dbescape( $user_account[ 'user_yam' ] ) : 0 ;
					$input_msnname = ( isset( $user_account[ 'user_ms' ] ) ) ? $database -> dbescape( $user_account[ 'user_ms' ] ) : 0 ;
					$input_jabber = ( isset( $user_account[ 'user_jabber' ] ) ) ? $database -> dbescape( $user_account[ 'user_jabber' ] ) : 0 ;
					$input_location = ( isset( $user_account[ 'user_location' ] ) ) ? $database -> dbescape( $user_account[ 'user_location' ] ) : "" ;
					$input_occupation = ( isset( $user_account[ 'user_occupation' ] ) ) ? $database -> dbescape( $user_account[ 'user_occupation' ] ) : "" ;
					$input_interests = ( isset( $user_account[ 'user_interests' ] ) ) ? $database -> dbescape( $user_account[ 'user_interests' ] ) : "" ;
					$input_signature = ( isset( $user_account[ 'user_signature' ] ) ) ? $database -> dbescape( $user_account[ 'user_signature' ] ) : "" ;
					$input_configuration = ( isset( $user_account[ 'user_cconfig' ] ) ) ? $database -> dbescape( $user_account[ 'user_cconfig' ] ) : "" ;
					$input_banned = ( isset( $user_account[ 'user_banned' ] ) ) ? $database -> dbescape( $user_account[ 'user_banned' ] ) : "" ;
					$input_regip = ( isset( $user_account[ 'user_regip' ] ) ) ? $database -> dbescape( $user_account[ 'user_regip' ] ) : "" ;
					$input_editip = ( isset( $user_account[ 'user_editip' ] ) ) ? $database -> dbescape( $user_account[ 'user_editip' ] ) : "" ;
					
					if( $input_banned )
					{
						$input_status = 5;
					}
					else
					{
						$input_status = 1;
					}
					
					$input_password_salt = md5( rand( 0, 32768 ) );
					$input_password = $system -> hashpass( $input_password_hashed . $input_password_salt );
					
					if( !$input_user_loginname )
					{
						$input_user_loginname = $input_user_name;
					}
					
					if( $input_user_name != $login_username )
					{
						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_users (user_id, user_name, user_loginname, user_password, user_salt, user_status, user_regtime, user_posts, user_pmcount, user_birthday, user_homepage, user_email, user_regemail, user_icq, user_aim, user_yahoo, user_msnname, user_jabber, user_skype, user_location, user_occupation, user_interests, user_avatar, user_signature, user_configuration, user_notes, user_invisible, user_theme, user_timezone, user_showavatars, user_showsignatures, user_title, user_securekey, user_regip, user_editip, user_editadmin, user_editadminip) VALUES (NULL, '" . $input_user_name . "', '" . $input_user_loginname . "', '" . $input_password . "', '" . $input_password_salt . "', '" . $input_status . "', '" . $input_regtime . "', '" . $input_posts . "', '0', '" . $input_birthday . "', '" . $input_homepage . "', '" . $input_email . "', '" . $input_regemail . "', '" . $input_icq . "', '" . $input_aim . "', '" . $input_yahoo . "', '" . $input_msnname . "', '" . $input_jabber . "', '', '" . $input_location . "', '" . $input_occupation . "', '" . $input_interests . "', '0', '" . $input_signature . "', '" . $input_configuration . "', '', '0', '0', '0', '1', '1', 'User', '', '" . $input_regip . "', '" . $input_editip . "', '" . $login_username . "', '" . $ipaddr . "')" );
					}
				}
				
				$next = $input_start + 20;
				$html -> jump( "index.php?action=acquireusers&input_start=" . $next, 200 );
				echo "<br />";
				echo "<a href=\"index.php?action=acquireusers&amp;input_start=" . $next . "\">" . $words_acquire[ 'NEXT' ] . " &gt;&gt;&gt;</a>";
			}
			else
			{
				echo $words_acquire[ 'IMPORT_COMPLETED' ] . " <a href=\"index.php?action=acquirenow\">" . $words_acquire[ 'CLICK_HERE' ] . "</a> " . $words_acquire[ 'BACK_TO_OVERVIEW' ];
			}
		}
		else
		{
			$acquire -> dbclose();
			$database -> dbconnect();
		}
		
		$html -> maketablefooter();
		$html -> makesubfooter();
		$html -> makesubfooter();
	}
}
?>