<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * function AdminDoEditAcquirePerformance
 * A function to write the configuration of the Acquire module to the database
 * @author Philipp Louis Esselbach
 */
function AdminDoEditAcquirePreferences()
{
	global $database, $security, $system, $html, $words_acquire;
	$input_acquire_db_hostname = ( isset( $_POST[ 'input_acquire_db_hostname' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_db_hostname' ] ) : "" ;
	$input_acquire_db_username = ( isset( $_POST[ 'input_acquire_db_username' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_db_username' ] ) : "" ;
	$input_acquire_db_password = ( isset( $_POST[ 'input_acquire_db_password' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_db_password' ] ) : "" ;
	$input_acquire_db_name = ( isset( $_POST[ 'input_acquire_db_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_db_name' ] ) : "" ;
	$input_acquire_db_prefix = ( isset( $_POST[ 'input_acquire_db_prefix' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_db_prefix' ] ) : "" ;
	$input_acquire_product = ( isset( $_POST[ 'input_acquire_product' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_product' ] ) : "" ;
	$input_acquire_teaser_dir = ( isset( $_POST[ 'input_acquire_teaser_dir' ] ) ) ? $security -> checkvar( $_POST[ 'input_acquire_teaser_dir' ] ) : "" ;	
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
	
	if( $system -> adminhashget() != $input_security_hash )
	{
		$html -> login( $words_acquire[ 'ERROR' ], $words_acquire[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_db_hostname . "' WHERE preference_key = 'ACQUIRE_DB_HOSTNAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_db_username . "' WHERE preference_key = 'ACQUIRE_DB_USERNAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_db_password . "' WHERE preference_key = 'ACQUIRE_DB_PASSWORD'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_db_name . "' WHERE preference_key = 'ACQUIRE_DB_NAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_db_prefix . "' WHERE preference_key = 'ACQUIRE_DB_PREFIX'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_product . "' WHERE preference_key = 'ACQUIRE_PRODUCT'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_acquire_teaser_dir . "' WHERE preference_key = 'ACQUIRE_TEASER_DIR'" );
	
	if( file_exists( "../includes/preferences.php" ) )
	{
		@unlink( "../includes/preferences.php" );
	}
	
	$html -> login( $words_acquire[ 'ACQUIRE_PREFERENCES' ], $words_acquire[ 'ACQUIRE_PREFS_CHANGED' ], "index.php?action=editacquirepreferences" );
}
?>