<?php
/**
 * @package Acquire for Contentteller
 * @copyright (C) 2008 Esselbach Internet Solutions
 * @license GNU Lesser General Public License (LGPL)
 */

/**
 * class acquire
 * A class that contains routines to import data from a Storyteller CMS database
 * @author Philipp Louis Esselbach
 * @package Acquire for Contentteller
 */
class acquire
{
	/**
	 * function dbconnect
	 * A function to connect to a Storyteller CMS MySQL database
	 * @author Philipp Louis Esselbach
	 */
	function dbconnect()
	{
		global $preferences, $words_acquire, $import_db_link;
		$error = "";
		$import_db_link = @mysql_connect( $preferences[ 'acquire_db_hostname' ], $preferences[ 'acquire_db_username' ], $preferences[ 'acquire_db_password' ] ) or $error = $words_acquire[ 'FATAL_CAN_NOT_CONNECT_SERVER' ];
		
		if( !$error )
		{
			@mysql_select_db( $preferences[ 'acquire_db_name' ], $import_db_link ) or $error = $words_acquire[ 'FATAL_CAN_NOT_CONNECT_DB' ];
		}
		
		return $error;
	}
	/**
	 * function dbclose
	 * A function to close the connection to the Storyteller CMS MySQL database
	 * @author Philipp Louis Esselbach
	 */
	function dbclose()
	{
		global $import_db_link;
		mysql_close( $import_db_link );
	}
	/**
	 * function users
	 * A function to get the the number of user accounts from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function users()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(user_id) FROM esselbach_st_users", $import_db_link );
		list( $users ) = mysql_fetch_row( $query );
		return $users;
	}
	/**
	 * function usersimport
	 * A function to import user accounts from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function usersimport( $start, $users )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_users LIMIT " . intval( $start ) . ", " . intval( $users ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$users = array();
			
			while( $usersarray = mysql_fetch_array( $query ) )
			{
				$users[ ] = $usersarray;
			}
		}
		else
		{
			$users = 0;
		}
		
		return $users;
	}
	/**
	 * function content
	 * A function to get the the number of content pages from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function content()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(page_id) FROM esselbach_st_pages", $import_db_link );
		list( $pages ) = mysql_fetch_row( $query );
		return $pages;
	}
	/**
	 * function contentpagesimport
	 * A function to import content pages from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function contentpagesimport( $start, $pages )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_pages LIMIT " . intval( $start ) . ", " . intval( $pages ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$contentpages = array();
			
			while( $contentpagesarray = mysql_fetch_array( $query ) )
			{
				$contentpages[ ] = $contentpagesarray;
			}
		}
		else
		{
			$contentpages = 0;
		}
		
		return $contentpages;
	}
	/**
	 * function newscategories
	 * A function to get the the number of news categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newscategories()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(category_id) FROM esselbach_st_categories", $import_db_link );
		list( $newscategories ) = mysql_fetch_row( $query );
		return $newscategories;
	}
	/**
	 * function newscategoriesimport
	 * A function to import news categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newscategoriesimport()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_categories", $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$newscategories = array();
			
			while( $newscategoriesarray = mysql_fetch_array( $query ) )
			{
				$newscategories[ ] = $newscategoriesarray;
			}
		}
		else
		{
			$newscategories = 0;
		}
		
		return $newscategories;
	}
	/**
	 * function newsstories
	 * A function to get the the number of news stories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newsstories()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(story_id) FROM esselbach_st_stories", $import_db_link );
		list( $newsstories ) = mysql_fetch_row( $query );
		return $newsstories;
	}
	/**
	 * function newsstoriesimport
	 * A function to import news stories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newsstoriesimport( $start, $stories )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_stories LIMIT " . intval( $start ) . ", " . intval( $stories ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$newsstories = array();
			
			while( $newsstoriesarray = mysql_fetch_array( $query ) )
			{
				$newsstories[ ] = $newsstoriesarray;
			}
		}
		else
		{
			$newsstories = 0;
		}
		
		return $newsstories;
	}
	/**
	 * function newscomments
	 * A function to get the the number of news comments from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newscomments()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(comment_id) FROM esselbach_st_comments WHERE comment_category = '1'", $import_db_link );
		list( $newscomments ) = mysql_fetch_row( $query );
		return $newscomments;
	}
	/**
	 * function newscommentsimport
	 * A function to import news comments from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function newscommentsimport( $start, $comments )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_comments WHERE comment_category = '1' LIMIT " . intval( $start ) . ", " . intval( $comments ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$newscomments = array();
			
			while( $newscommentsarray = mysql_fetch_array( $query ) )
			{
				$query2 = mysql_query( "SELECT user_id FROM esselbach_st_users WHERE user_name = '" . addslashes( $newscommentsarray[ 'comment_author' ] ) . "'" );
				list( $user_id ) = mysql_fetch_row( $query2 );
				$newscommentsarray[ 'comment_author_id' ] = $user_id;
				$newscomments[ ] = $newscommentsarray;
			}
		}
		else
		{
			$newscomments = 0;
		}
		
		return $newscomments;
	}
	/**
	 * function articlescategories
	 * A function to get the the number of article/review categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function articlescategories()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(reviewcat_id) FROM esselbach_st_reviewcat", $import_db_link );
		list( $articlescategories ) = mysql_fetch_row( $query );
		return $articlescategories;
	}
	/**
	 * function articlescategoriesimport
	 * A function to import article/review categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function articlescategoriesimport()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_reviewcat", $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$articlescategories = array();
			
			while( $articlescategoriesarray = mysql_fetch_array( $query ) )
			{
				$articlescategories[ ] = $articlescategoriesarray;
			}
		}
		else
		{
			$articlescategories = 0;
		}
		
		return $articlescategories;
	}
	/**
	 * function articles
	 * A function to get the the number of articles/reviews from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function articles()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(review_id) FROM esselbach_st_review", $import_db_link );
		list( $articles ) = mysql_fetch_row( $query );
		return $articles;
	}
	/**
	 * function articlesimport
	 * A function to import articles/reviews from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function articlesimport( $start, $entries )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_review LIMIT " . intval( $start ) . ", " . intval( $entries ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$articles = array();
			
			while( $articlesarray = mysql_fetch_array( $query ) )
			{
				$articles[ ] = $articlesarray;
			}
		}
		else
		{
			$articles = 0;
		}
		
		return $articles;
	}
	/**
	 * function knowledgebasecategories
	 * A function to get the the number of knowledgebase/FAQ categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function knowledgebasecategories()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(faqcat_id) FROM esselbach_st_faqcat", $import_db_link );
		list( $knowledgebasecategories ) = mysql_fetch_row( $query );
		return $knowledgebasecategories;
	}
	/**
	 * function knowledgebasecategoriesimport
	 * A function to import knowledgebase/FAQ categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function knowledgebasecategoriesimport()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_faqcat", $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$knowledgebasecategories = array();
			
			while( $knowledgebasecategoriesarray = mysql_fetch_array( $query ) )
			{
				$knowledgebasecategories[ ] = $knowledgebasecategoriesarray;
			}
		}
		else
		{
			$knowledgebasecategories = 0;
		}
		
		return $knowledgebasecategories;
	}
	/**
	 * function knowledgebaseentries
	 * A function to get the the number of knowledgebase/FAQ entries from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function knowledgebaseentries()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(faq_id) FROM esselbach_st_faq", $import_db_link );
		list( $knowledgebaseentries ) = mysql_fetch_row( $query );
		return $knowledgebaseentries;
	}
	/**
	 * function knowledgebaseimport
	 * A function to import knowledgebase/FAQ entries from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function knowledgebaseimport( $start, $entries )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_faq LIMIT " . intval( $start ) . ", " . intval( $entries ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$knowledgebaseentries = array();
			
			while( $knowledgebaseentriesarray = mysql_fetch_array( $query ) )
			{
				$knowledgebaseentries[ ] = $knowledgebaseentriesarray;
			}
		}
		else
		{
			$knowledgebaseentries = 0;
		}
		
		return $knowledgebaseentries;
	}
	/**
	 * function filescategories
	 * A function to get the the number of file categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function filescategories()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(downloadscat_id) FROM esselbach_st_downloadscat", $import_db_link );
		list( $filescategories ) = mysql_fetch_row( $query );
		return $filescategories;
	}
	/**
	 * function filescategoriesimport
	 * A function to import file categories from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function filescategoriesimport()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_downloadscat", $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$filescategories = array();
			
			while( $filescategoriesarray = mysql_fetch_array( $query ) )
			{
				$filescategories[ ] = $filescategoriesarray;
			}
		}
		else
		{
			$filescategories = 0;
		}
		
		return $filescategories;
	}
	/**
	 * function files
	 * A function to get the the number of files from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function files()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(download_id) FROM esselbach_st_downloads", $import_db_link );
		list( $files ) = mysql_fetch_row( $query );
		return $files;
	}
	/**
	 * function filesimport
	 * A function to import files from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function filesimport( $start, $entries )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_downloads LIMIT " . intval( $start ) . ", " . intval( $entries ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$files = array();
			
			while( $filesarray = mysql_fetch_array( $query ) )
			{
				$files[ ] = $filesarray;
			}
		}
		else
		{
			$files = 0;
		}
		
		return $files;
	}
	/**
	 * function filescomments
	 * A function to get the the number of file comments from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function filescomments()
	{
		global $import_db_link;
		$query = mysql_query( "SELECT COUNT(comment_id) FROM esselbach_st_comments WHERE comment_category = '3'", $import_db_link );
		list( $filescomments ) = mysql_fetch_row( $query );
		return $filescomments;
	}
	/**
	 * function filescommentsimport
	 * A function to import file comments from a Storyteller CMS database
	 * @author Philipp Louis Esselbach
	 */
	function filescommentsimport( $start, $comments )
	{
		global $import_db_link;
		$query = mysql_query( "SELECT * FROM esselbach_st_comments WHERE comment_category = '3' LIMIT " . intval( $start ) . ", " . intval( $comments ), $import_db_link );
		
		if( mysql_num_rows( $query ) )
		{
			$filescomments = array();
			
			while( $filescommentsarray = mysql_fetch_array( $query ) )
			{
				$query2 = mysql_query( "SELECT user_id FROM esselbach_st_users WHERE user_name = '" . addslashes( $filescommentsarray[ 'comment_author' ] ) . "'" );
				list( $user_id ) = mysql_fetch_row( $query2 );
				$filescommentsarray[ 'comment_author_id' ] = $user_id;
				$filescomments[ ] = $filescommentsarray;
			}
		}
		else
		{
			$filescomments = 0;
		}
		
		return $filescomments;
	}
}
?>